<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="xml" 
   doctype-public="-//W3C//DTD XHTML 1.1//EN" 
   doctype-system="http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd"/>
 <xsl:template match="/">
  <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
   <head>
    <title>Insurance Claims</title>
   </head>
   <body>
    <h1>Claimants and policy types</h1>
    <xsl:apply-templates select="policy-claims/policy"/>
    <div>
     <a><xsl:attribute name="href">
         <xsl:value-of select="policy-claims/company-domain"/>
        </xsl:attribute>
     Company home page </a>
    </div>
   </body>
  </html>
 </xsl:template>
 
 <xsl:template match="policy">
  <p><xsl:attribute name="class">
  <xsl:value-of select="@type"/>
  </xsl:attribute>
  Name: <xsl:value-of select="policy-holder"/>
  <xsl:choose>
    <xsl:when test="@type='contents' ">
     <img><xsl:attribute name="src">
     <xsl:value-of select="/policy-claims/contents-image"/>
     </xsl:attribute>
     <xsl:attribute name="alt">contents</xsl:attribute>
     </img>
    </xsl:when>
  <xsl:otherwise>
  <img><xsl:attribute name="src">
     <xsl:value-of select="/policy-claims/buildings-image"/>
     </xsl:attribute>
     <xsl:attribute name="alt">buildings</xsl:attribute>
     </img>
  </xsl:otherwise>
  </xsl:choose>
  </p>
 <xsl:apply-templates select="claims"/>
 </xsl:template>
 <xsl:template match="claims">
  <table>
   <caption>Claims</caption>
    <tbody>
     <tr>
     <th>Year</th>
     <th>Details</th>
    </tr>
    <xsl:apply-templates/>
   </tbody>
  </table>
 </xsl:template>

 <xsl:template match="claim">
  <tr>
   <td>
    <xsl:value-of select="year"/>
   </td>
   <td>
    <xsl:value-of select="details"/>
   </td>
  </tr>
 </xsl:template>
</xsl:stylesheet>
