<?xml version="1.0"?>
<!-- File: Example6-9.xsl -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="xml" 
   doctype-public="-//W3C//DTD XHTML 1.1//EN" 
   doctype-system=" http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd "/>
 <xsl:template match="/">
  <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
   <head>
    <title>Insurance Claims</title>
   </head>
   <body>
    <h1>Claimants and policy types</h1>
    <xsl:for-each select="policy-claims/policy">
     <p>
      <xsl:attribute name="class">
       <xsl:value-of select="@type"/>
      </xsl:attribute>
      Name: <xsl:value-of select="policy-holder"/>
      <xsl:choose>
       <xsl:when test="@type='contents' ">
        <img>
         <xsl:attribute name="src">
          <xsl:value-of select="/policy-claims/contents-image"/>
         </xsl:attribute>
         <xsl:attribute name="alt">contents</xsl:attribute>
        </img>
       </xsl:when>
       <xsl:otherwise>
        <img>
         <xsl:attribute name="src">
          <xsl:value-of select="/policy-claims/buildings-image"/>
         </xsl:attribute>
         <xsl:attribute name="alt">buildings</xsl:attribute>
        </img>
       </xsl:otherwise>
      </xsl:choose>
     </p>
    </xsl:for-each>
    <div>
     <a>
      <xsl:attribute name="href">
       <xsl:value-of select="policy-claims/company-domain"/>
      </xsl:attribute>Company home page
     </a>
    </div>
   </body>
  </html>
 </xsl:template>
</xsl:stylesheet>
